import {Component} from '../razzia.min.js'

import style from '../css/switch.css'

import store from '../store/store.js'

export default class Switch extends Component{
  constructor(props){
    super(props);
  }
  change(e, target){
    store.dispatch('global', {
      toggle: [target.id, (target.checked ? true : false)]
    });
  }
  render(){
    return `
      <label class="switch">
        <input id=" ${this.props.id}" ev-change="${this.event('change')}" type="checkbox" ${this.props.checked ? 'checked' : ''}>
        <span class="slider round"></span>
      </label>
    `;
  }
}
